Create Task

http
POST https://services.leadconnectorhq.com/contacts/{contactId}/tasks

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
contactIdstringYessx6wyHhbFdRXh302LLNRContact Id

Body

NameTypeRequiredExampleDescription
titlestringYesFirst Task
bodystringNoloram ipsum
dueDatestringYes2020-10-25T11:00:00Z
completedbooleanYesTrue
assignedTostringNohxHGVRb1YJUscrCB8eXK

Responses

201 - Successful response
  • task (object)

    • id (string): Example: lJpzYrWdpkC2hX6t2yue

    • title (string): Example: test

    • body (string): Example: testing

    • assignedTo (string): Example: tesTUcmRxWrjqzJS8EjkxNKting

    • dueDate (string): Example: 2021-07-08T02:30:00.000Z

    • completed (boolean): Example: True

    • contactId (string): Example: lJpzYrWdpkC2hX6t2yue

json
{
  "task": {
    "id": "lJpzYrWdpkC2hX6t2yue",
    "title": "test",
    "body": "testing",
    "assignedTo": "tesTUcmRxWrjqzJS8EjkxNKting",
    "dueDate": "2021-07-08T02:30:00.000Z",
    "completed": true,
    "contactId": "lJpzYrWdpkC2hX6t2yue"
  }
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/contacts/YOUR_contactId/tasks' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "First Task",
  "body": "loram ipsum",
  "dueDate": "2020-10-25T11:00:00Z",
  "completed": true,
  "assignedTo": "hxHGVRb1YJUscrCB8eXK"
}'

Last updated October 26, 2026

Was this page helpful?